Subject: bug#25357: 25.1; Doc for `cursor-sensor-mode' (and modes generally)

From: Drew Adams <[email-masked]>
Date: Wed, 4 Jan 2017 11:06:10 -0800 (PST)

> >> > More generally, I do not see, in either the Emacs or the Elisp manuals,
> >> > anywhere where we explain the argument to a major mode, telling you how
> >> > to turn the mode on/off from Lisp.
> >>
> >> It's mentioned in "Minor Modes" in the user manual.
> >
> > But it's a major mode...  I tried `i' for major mode etc.
> 
> Why do you think it's a major mode? cursor-sensor.el has:
> (define-minor-mode cursor-sensor-mode ...

In that case, there are two bugs:

1. The doc string should say that it is a minor mode, and say how
to change the value (on/off).  I think this has been addressed by
bug #20462.

2. (This bug) The manuals should document how to turn on/off a major mode
using Lisp.  Please retitle this bug appropriately.

Sorry if this mode is not an example of a major mode.